package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@Table
@PrimaryKey("id")
public class GrowthLog implements CreateTimeSupported {
	private String id;
	private String professorId;
	private String operate;
	private Integer score;
	private Integer signInDays;
	private String createTime;
	private String invitePro;
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	@Column(handlerClass=StringHandler.class,dbType="VARCHAR(4)",nullable=true,renewable=false)
	public String getOperate() {
		return operate;
	}
	public void setOperate(String operate) {
		this.operate = operate;
	}
	@Column(handlerClass=WIntHandler.class,dbType="INT",nullable=true,renewable=false)
	public Integer getScore() {
		return score;
	}
	public void setScore(Integer score) {
		this.score = score;
	}
	@Column(handlerClass=WIntHandler.class,dbType="INT",nullable=true,renewable=false)
	public Integer getSignInDays() {
		return signInDays;
	}
	public void setSignInDays(Integer signInDays) {
		this.signInDays = signInDays;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(handlerClass=FixLenStringHandler.class,dbType="CHAR(32)",nullable=true,renewable=false)
	public String getInvitePro() {
		return invitePro;
	}
	public void setInvitePro(String invitePro) {
		this.invitePro = invitePro;
	}
	
}
