package com.ekexiu.operation.push.getui;

import com.google.gson.annotations.SerializedName;

public class MsgStyle {
	//type 	integer 	是 	固定为1
	private int type=1;
	//text 	String 	是 	通知内容
	private String text;
	//title 	String 	是 	通知标题
	private String title;
	//logo 	String 	是 	通知的图标名称，包含后缀名（需要在客户端开发时嵌入），如“push.png”
	private String logo;
	//logourl 	String 	否 	通知图标URL地址
	private String logourl;
	//is_ring 	boolean 	否 	收到通知是否响铃：true响铃，false不响铃。默认响铃
	@SerializedName("is_ring")
	private boolean ring=true;
	//is_vibrate 	boolean 	否 	收到通知是否振动：true振动，false不振动。默认振动
	@SerializedName("is_vibrate")
	private boolean vibrate = true;
	//is_clearable 	boolean 	否 	通知是否可清除： true可清除，false不可清除。默认可清除	
	@SerializedName("is_clearable")
	private boolean clearable;
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getLogo() {
		return logo;
	}
	public void setLogo(String logo) {
		this.logo = logo;
	}
	public String getLogourl() {
		return logourl;
	}
	public void setLogourl(String logourl) {
		this.logourl = logourl;
	}
	public boolean isRing() {
		return ring;
	}
	public void setRing(boolean ring) {
		this.ring = ring;
	}
	public boolean isVibrate() {
		return vibrate;
	}
	public void setVibrate(boolean vibrate) {
		this.vibrate = vibrate;
	}
	public boolean isClearable() {
		return clearable;
	}
	public void setClearable(boolean clearable) {
		this.clearable = clearable;
	}
}
