package com.ekexiu.operation.push.getui;

import com.google.gson.annotations.SerializedName;

public class NotificationMessage {
	//transmission_type 	boolean 	否 	收到消息是否立即启动应用，true为立即启动，false则广播等待启动，默认是否
	@SerializedName("transmission_type")
	private boolean transmissionType=false;
	
	//transmission_content 	String 	否 	透传内容
	@SerializedName("transmission_content")
	private String transmissionContent;
	
	//duration_begin 	String 	否 	设定展示开始时间，格式为yyyy-MM-dd HH:mm:ss
	@SerializedName("duration_begin")
	private String durationBegin;
	
	//duration_end 	String 	否 	设定展示结束时间，格式为yyyy-MM-dd HH:mm:ss
	@SerializedName("duration_end")
	private String durationEnd;
	//style 	Style 	是 	通知栏消息布局样式，见底下Style说明
	private MsgStyle style;
	public boolean isTransmissionType() {
		return transmissionType;
	}
	public void setTransmissionType(boolean transmissionType) {
		this.transmissionType = transmissionType;
	}
	public String getTransmissionContent() {
		return transmissionContent;
	}
	public void setTransmissionContent(String transmissionContent) {
		this.transmissionContent = transmissionContent;
	}
	public String getDurationBegin() {
		return durationBegin;
	}
	public void setDurationBegin(String durationBegin) {
		this.durationBegin = durationBegin;
	}
	public String getDurationEnd() {
		return durationEnd;
	}
	public void setDurationEnd(String durationEnd) {
		this.durationEnd = durationEnd;
	}
	public MsgStyle getStyle() {
		return style;
	}
	public void setStyle(MsgStyle style) {
		this.style = style;
	}
}
