package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;

import com.ekexiu.portal.po.ArtKeyWord;

@DAO
public interface ArtKeyWordDao {
	@Insert
	@Batch
	int[] insert(Connection con,ArtKeyWord[] okws)throws SQLException;
	
	@DeleteWith
	@From(ArtKeyWord.class)
	int delete(Connection con,String id)throws SQLException;
}
