package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@PrimaryKey("id")
@Table
public class Feedback implements CreateTimeSupported{
	private long id;
	private String title;
	private int category;// int4 NOT NULL,
	private int schema;// int4 NOT NULL,
	private String param;// text NOT NULL,
	private String content;// text NOT NULL,
	private String createTime;// char(14) NOT NULL,
	private String  state;// char(1) NOT NULL,
	private String userId;
	
	@Override
	public String getCreateTime() {
		return this.createTime;
	}
	@Override
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	@Column(DE.bigSerial)
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	@Column(DE.Text_de)
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(DE.int_de)
	public int getCategory() {
		return category;
	}
	public void setCategory(int category) {
		this.category = category;
	}
	@Column(DE.int_de)
	public int getSchema() {
		return schema;
	}
	public void setSchema(int schema) {
		this.schema = schema;
	}
	@Column(DE.text_de)
	public String getParam() {
		return param;
	}
	public void setParam(String param) {
		this.param = param;
	}
	@Column(DE.text_de)
	public String getContent() {
		return content;
	}
	
	public void setContent(String content) {
		this.content = content;
	}
	@Column(DE.singleChar)
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	@Column(DE.Text_de)
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	
	
}
