package com.ekexiu.portal.service;

import org.jfw.apt.web.annotation.Path;

@Path
public class GrowthRuleService {
	/**
	 * 添加研究方向
	 */
	private int addResearchArea = 20;
	private int addResearchAreaForInviter = 4;
	/**
	 * 点赞专家的研究方向
	 */
	private int researchAgree = 1;
	/**
	 * 自己的研究方向收到点赞
	 */
	private int researchBeAgree = 1;
	/**
	 * 发布一篇文章
	 */
	private int addArticle = 100;
	private int addArticleForInviter = 20;
	/**
	 * 给别人的文章点赞
	 */
	private int articleAgree = 1;
	/**
	 * 自己的文章获得点赞
	 */
	private int articleBeAgree = 1;
	/**
	 * 给别人的文章留言
	 */
	private int articleLeaveWord = 1;
	/**
	 * 自己的文章获得留言
	 */
	private int articleBeleaveWord = 1;
	/**
	 * 发布一个资源
	 */
	private int addResource = 100;
	private int addResourceForInviter = 20;
	/**
	 * 通过实名认证
	 */
	private int authRealName = 50;
	private int authRealNameForInviter = 25;
	/**
	 * 成为科袖认证专家
	 */
	private int authExpert = 200;
	private int authExpertForInviter = 100;
	/**
	 * 成为企业认证用户
	 */
	private int authOrg = 100;
	private int authOrgForInviter = 50;
	/**
	 * 接受一次咨询
	 */
	private int consultReceive = 50;
	private int consultReceiveForInviter = 10;
	/**
	 * 完成一次咨询
	 */
	private int consultFinish = 100;
	private int consultFinishForInviter = 20;
	/**
	 * 获得4星及以上评价
	 */
	private int receiveFourStar = 50;
	private int receiveFourStarForInviter = 10;
	/**
	 * 评价一次咨询
	 */
	private int consultAssess = 50;
	private int consultAssessForInviter = 10;
	/**
	 * 发布一个个人需求
	 */
	private int addProDemand = 50;
	private int addProDemandForInviter = 10;
	/**
	 * 发布一个企业需求
	 */
	private int addOrgDemand = 100;
	private int addOrgDemandForInviter = 20;
	/**
	 * 确认一次需求
	 */
	private int demandConfirm = 100;
	private int demandConfirmForInviter = 20;
	/**
	 * 分享
	 */
	private int share = 20;
	
	/**
	 * 点赞
	 */
	private int agree = 10;
	/**
	 * 留言
	 */
	private int leaveMsg = 20;

	/**
	 * 成功邀请一个好友
	 */
	private int inviteProfessor = 100;
	private int inviteProfessorForInviter = 50;
	/**
	 * 首次绑定手机（包括注册）
	 */
	private int bindMobile = 100;
	/**
	 * 首次绑定邮箱（包括注册）
	 */
	private int bindEmail = 50;
	/**
	 * 每日签到，第一天5分，连续两天6分，连续三天7分，连续四天8分，连续五天9分，连续六天及以上10分
	 */
	private int signInOneDay = 5;
	private int signInTwoDays = 6;
	private int signInThreeDays = 7;
	private int signInFourDays = 8;
	private int signInFiveDays = 9;
	private int signInSixDays = 10;

	public int getAddResearchArea() {
		return addResearchArea;
	}

	public void setAddResearchArea(int addResearchArea) {
		this.addResearchArea = addResearchArea;
	}

	public int getAddResearchAreaForInviter() {
		return addResearchAreaForInviter;
	}

	public void setAddResearchAreaForInviter(int addResearchAreaForInviter) {
		this.addResearchAreaForInviter = addResearchAreaForInviter;
	}

	public int getResearchAgree() {
		return researchAgree;
	}

	public void setResearchAgree(int researchAgree) {
		this.researchAgree = researchAgree;
	}

	public int getResearchBeAgree() {
		return researchBeAgree;
	}

	public void setResearchBeAgree(int researchBeAgree) {
		this.researchBeAgree = researchBeAgree;
	}

	public int getAddArticle() {
		return addArticle;
	}

	public void setAddArticle(int addArticle) {
		this.addArticle = addArticle;
	}

	public int getAddArticleForInviter() {
		return addArticleForInviter;
	}

	public void setAddArticleForInviter(int addArticleForInviter) {
		this.addArticleForInviter = addArticleForInviter;
	}

	public int getArticleAgree() {
		return articleAgree;
	}

	public void setArticleAgree(int articleAgree) {
		this.articleAgree = articleAgree;
	}

	public int getArticleBeAgree() {
		return articleBeAgree;
	}

	public void setArticleBeAgree(int articleBeAgree) {
		this.articleBeAgree = articleBeAgree;
	}

	public int getArticleLeaveWord() {
		return articleLeaveWord;
	}

	public void setArticleLeaveWord(int articleLeaveWord) {
		this.articleLeaveWord = articleLeaveWord;
	}

	public int getArticleBeleaveWord() {
		return articleBeleaveWord;
	}

	public void setArticleBeleaveWord(int articleBeleaveWord) {
		this.articleBeleaveWord = articleBeleaveWord;
	}

	public int getAddResource() {
		return addResource;
	}

	public void setAddResource(int addResource) {
		this.addResource = addResource;
	}

	public int getAddResourceForInviter() {
		return addResourceForInviter;
	}

	public void setAddResourceForInviter(int addResourceForInviter) {
		this.addResourceForInviter = addResourceForInviter;
	}

	public int getAuthRealName() {
		return authRealName;
	}

	public void setAuthRealName(int authRealName) {
		this.authRealName = authRealName;
	}

	public int getAuthRealNameForInviter() {
		return authRealNameForInviter;
	}

	public void setAuthRealNameForInviter(int authRealNameForInviter) {
		this.authRealNameForInviter = authRealNameForInviter;
	}

	public int getAuthExpert() {
		return authExpert;
	}

	public void setAuthExpert(int authExpert) {
		this.authExpert = authExpert;
	}

	public int getAuthExpertForInviter() {
		return authExpertForInviter;
	}

	public void setAuthExpertForInviter(int authExpertForInviter) {
		this.authExpertForInviter = authExpertForInviter;
	}

	public int getAuthOrg() {
		return authOrg;
	}

	public void setAuthOrg(int authOrg) {
		this.authOrg = authOrg;
	}

	public int getAuthOrgForInviter() {
		return authOrgForInviter;
	}

	public void setAuthOrgForInviter(int authOrgForInviter) {
		this.authOrgForInviter = authOrgForInviter;
	}

	public int getConsultReceive() {
		return consultReceive;
	}

	public void setConsultReceive(int consultReceive) {
		this.consultReceive = consultReceive;
	}

	public int getConsultReceiveForInviter() {
		return consultReceiveForInviter;
	}

	public void setConsultReceiveForInviter(int consultReceiveForInviter) {
		this.consultReceiveForInviter = consultReceiveForInviter;
	}

	public int getConsultFinish() {
		return consultFinish;
	}

	public void setConsultFinish(int consultFinish) {
		this.consultFinish = consultFinish;
	}

	public int getConsultFinishForInviter() {
		return consultFinishForInviter;
	}

	public void setConsultFinishForInviter(int consultFinishForInviter) {
		this.consultFinishForInviter = consultFinishForInviter;
	}

	public int getReceiveFourStar() {
		return receiveFourStar;
	}

	public void setReceiveFourStar(int receiveFourStar) {
		this.receiveFourStar = receiveFourStar;
	}

	public int getReceiveFourStarForInviter() {
		return receiveFourStarForInviter;
	}

	public void setReceiveFourStarForInviter(int receiveFourStarForInviter) {
		this.receiveFourStarForInviter = receiveFourStarForInviter;
	}

	public int getConsultAssess() {
		return consultAssess;
	}

	public void setConsultAssess(int consultAssess) {
		this.consultAssess = consultAssess;
	}

	public int getConsultAssessForInviter() {
		return consultAssessForInviter;
	}

	public void setConsultAssessForInviter(int consultAssessForInviter) {
		this.consultAssessForInviter = consultAssessForInviter;
	}

	public int getAddProDemand() {
		return addProDemand;
	}

	public void setAddProDemand(int addProDemand) {
		this.addProDemand = addProDemand;
	}

	public int getAddProDemandForInviter() {
		return addProDemandForInviter;
	}

	public void setAddProDemandForInviter(int addProDemandForInviter) {
		this.addProDemandForInviter = addProDemandForInviter;
	}

	public int getAddOrgDemand() {
		return addOrgDemand;
	}

	public void setAddOrgDemand(int addOrgDemand) {
		this.addOrgDemand = addOrgDemand;
	}

	public int getAddOrgDemandForInviter() {
		return addOrgDemandForInviter;
	}

	public void setAddOrgDemandForInviter(int addOrgDemandForInviter) {
		this.addOrgDemandForInviter = addOrgDemandForInviter;
	}

	public int getDemandConfirm() {
		return demandConfirm;
	}

	public void setDemandConfirm(int demandConfirm) {
		this.demandConfirm = demandConfirm;
	}

	public int getDemandConfirmForInviter() {
		return demandConfirmForInviter;
	}

	public void setDemandConfirmForInviter(int demandConfirmForInviter) {
		this.demandConfirmForInviter = demandConfirmForInviter;
	}

	public int getInviteProfessor() {
		return inviteProfessor;
	}

	public void setInviteProfessor(int inviteProfessor) {
		this.inviteProfessor = inviteProfessor;
	}

	public int getInviteProfessorForInviter() {
		return inviteProfessorForInviter;
	}

	public void setInviteProfessorForInviter(int inviteProfessorForInviter) {
		this.inviteProfessorForInviter = inviteProfessorForInviter;
	}

	public int getBindMobile() {
		return bindMobile;
	}

	public void setBindMobile(int bindMobile) {
		this.bindMobile = bindMobile;
	}

	public int getBindEmail() {
		return bindEmail;
	}

	public void setBindEmail(int bindEmail) {
		this.bindEmail = bindEmail;
	}

	public int getSignInOneDay() {
		return signInOneDay;
	}

	public void setSignInOneDay(int signInOneDay) {
		this.signInOneDay = signInOneDay;
	}

	public int getSignInTwoDays() {
		return signInTwoDays;
	}

	public void setSignInTwoDays(int signInTwoDays) {
		this.signInTwoDays = signInTwoDays;
	}

	public int getSignInThreeDays() {
		return signInThreeDays;
	}

	public void setSignInThreeDays(int signInThreeDays) {
		this.signInThreeDays = signInThreeDays;
	}

	public int getSignInFourDays() {
		return signInFourDays;
	}

	public void setSignInFourDays(int signInFourDays) {
		this.signInFourDays = signInFourDays;
	}

	public int getSignInFiveDays() {
		return signInFiveDays;
	}

	public void setSignInFiveDays(int signInFiveDays) {
		this.signInFiveDays = signInFiveDays;
	}

	public int getSignInSixDays() {
		return signInSixDays;
	}

	public void setSignInSixDays(int signInSixDays) {
		this.signInSixDays = signInSixDays;
	}

	public int getShare() {
		return share;
	}

	public void setShare(int share) {
		this.share = share;
	}

	public int getAgree() {
		return agree;
	}

	public void setAgree(int agree) {
		this.agree = agree;
	}

	public int getLeaveMsg() {
		return leaveMsg;
	}

	public void setLeaveMsg(int leaveMsg) {
		this.leaveMsg = leaveMsg;
	}

}
