package com.ekexiu.portal.system;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.LessThan;

@DAO
public interface OrgInviteLogDao {

	@Insert
	int insert(Connection con, OrgInviteLog log) throws SQLException;

	@SelectOne
	@Nullable
	OrgInviteLog query(Connection con, String id) throws SQLException;

	@DeleteWith
	@From(OrgInviteLog.class)
	int delete(Connection con, @LessThan String createTime) throws SQLException;

}
