package com.ekexiu.portal.ware;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;

@DAO
public interface WreKeyWordDao  {

	@Insert
	@Batch
	int[] insert(Connection con,WreKeyWord[] pkw)throws SQLException;
	
	@DeleteWith
	@From(WreKeyWord.class)
	int delete(Connection con,String id)throws SQLException;
	
}
